XFcDataReceiverHashTable class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcDataReceiverHashTable Class Reference

XFcDataReceiverHashTable is hash table for data receivers. More...

Collaboration diagram for XFcDataReceiverHashTable:

[legend]
List of all members.

## Public Member Functions

INT | addReceiver (UINT32 aId, XFcDataReceiver *aReceiver)
| Adds group.
XFcDataReceiver * | removeReceiver (UINT32 aId)
| Removes group.
XFcDataReceiver * | getReceiver (UINT32 aId)
| Gets receiver.
INT | callReceiver (INT32 aClientId, UINT32 aId, const CHAR8 *aData, INT32 aLen)
| Uses network controller by id.
virtual | ~XFcDataReceiverHashTable ()
| Virtual destructor.

## Static Public Member Functions

XFcDataReceiverHashTable * | create ()
| Creates XFcDataReceiverHashTable.

## Protected Member Functions

| XFcDataReceiverHashTable ()
| Constructor.
INT | initReceiverHashtable ()
| Initialize hash table.

## Private Attributes

XFcHashtable< UINT32, XFcDataReceiver * > | mHashtable
| Network controller hash table.

## Detailed Description

XFcDataReceiverHashTable is hash table for data receivers.

## Constructor & Destructor Documentation

XFcDataReceiverHashTable::XFcDataReceiverHashTable | ( |  | ) | `[protected]`

| Constructor.

virtual XFcDataReceiverHashTable::~XFcDataReceiverHashTable | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

INT XFcDataReceiverHashTable::addReceiver | ( | UINT32 | aId,
|  | XFcDataReceiver * | aReceiver
| ) |

Adds group.

Parameters:

  aId | key id.
  aReceiver | receiver.

Returns:
  1 if successful, or 0 otherwise.

INT XFcDataReceiverHashTable::callReceiver | ( | INT32 | aClientId,
|  | UINT32 | aId,
|  | const CHAR8 * | aData,
|  | INT32 | aLen
| ) |

Uses network controller by id.

Parameters:

  aId | controller id.
  aData | data buffer.
  aLen | buffer len.

XFcDataReceiverHashTable* XFcDataReceiverHashTable::create | ( |  | ) | `[static]`

Creates XFcDataReceiverHashTable.

Returns:
  XFcDataReceiverHashTable if successful, or NULL otherwise.

XFcDataReceiver* XFcDataReceiverHashTable::getReceiver | ( | UINT32 | aId | ) |

Gets receiver.

Parameters:

  aId | key.

Returns:
  pointer to XFcNetDataReceiver.

INT XFcDataReceiverHashTable::initReceiverHashtable | ( |  | ) | `[protected]`

Initialize hash table.

Returns:
  1 if successful, or 0 otherwise.

XFcDataReceiver* XFcDataReceiverHashTable::removeReceiver | ( | UINT32 | aId | ) |

Removes group.

Parameters:

  aId | key id.

Returns:
  pointer to XFcNetDataReceiver.

## Member Data Documentation

XFcHashtable<UINT32, XFcDataReceiver *> XFcDataReceiverHashTable::mHashtable`[private]`

| Network controller hash table.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch